View Issue Details

IDProjectCategoryView StatusLast Update
0001270bareos-core[All Projects] bconsolepublic2021-09-29 13:17
ReportererikAssigned Tobruno-at-bareos 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSDebianOS Versiontesting/bullseye
Product Version19.2.8 
Fixed in Version 
Summary0001270: bareos-bconsole depends on libreadline7 but it is not installable
DescriptionDebian testing/bullseye has libreadline8 and libreadline5. libreadline7 is not available from Debian.

# apt-get install bareos
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 bareos-bconsole : Depends: libreadline7 (>= 6.0) but it is not installable
E: Unable to correct problems, you have held broken packages.
Steps To Reproduce# Using Bareos repository: http://download.bareos.org/bareos/release/latest/Debian_10
apt-get install bareos
Additional InformationPlease change bareos/bareos-bconsole Debian packages to use libreadline8.
Tagsbconsole
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

erik

erik

2020-09-02 02:19

reporter   ~0004037

Please cancel this bug. Nothing wrong with Debian 10.
uk

uk

2021-08-18 19:50

reporter   ~0004214

The bareos-bconsole packages v20.0.1-3 depend on libreadline7, but in Debian 11 (stable) aka bullseye is only libreadline8.
Please support the new version. Many Thanks.
bruno-at-bareos

bruno-at-bareos

2021-09-01 13:29

developer   ~0004244

There's no community published (yet) Bareos 20 for Debian 11.
Bareos has to be rebuild against Debian 11.
stevec

stevec

2021-09-05 11:12

reporter   ~0004249

Last edited: 2021-09-05 11:16

View 2 revisions

just to comment that ran into similar issue building from github source 19.2.10 under ubuntu 20.04.2, also has readline8 so gives errors in cmake. also verified same issue with 18.2.11.

bruno-at-bareos

bruno-at-bareos

2021-09-29 13:13

developer   ~0004285

stevec did you still have those issues, with the new releases ?
bruno-at-bareos

bruno-at-bareos

2021-09-29 13:16

developer   ~0004286

Starting September 14th Debian 11 is available for all customers with a subscription contract.
Nightly is also build for Debian 11, and will be part of bareos 21 release.

Thank you for using Bareos.
bruno-at-bareos

bruno-at-bareos

2021-09-29 13:17

developer   ~0004287

Support integrated + version published

Issue History

Date Modified Username Field Change
2020-09-02 01:56 erik New Issue
2020-09-02 01:56 erik Tag Attached: bconsole
2020-09-02 01:56 erik Tag Attached: broken
2020-09-02 02:17 erik Tag Detached: broken
2020-09-02 02:19 erik Note Added: 0004037
2021-08-18 19:50 uk Note Added: 0004214
2021-09-01 13:29 bruno-at-bareos Note Added: 0004244
2021-09-05 11:12 stevec Note Added: 0004249
2021-09-05 11:16 stevec Note Edited: 0004249 View Revisions
2021-09-29 13:13 bruno-at-bareos Note Added: 0004285
2021-09-29 13:16 bruno-at-bareos Note Added: 0004286
2021-09-29 13:17 bruno-at-bareos Assigned To => bruno-at-bareos
2021-09-29 13:17 bruno-at-bareos Status new => closed
2021-09-29 13:17 bruno-at-bareos Resolution open => fixed
2021-09-29 13:17 bruno-at-bareos Note Added: 0004287